Skip to navigation

Get Defects

View as Markdown

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Query parameters

statusenumOptional
work_order_idstringOptional
work_order_task_idstringOptional
form_step_idstringOptional
pageintegerOptional
form_idstringOptional
assigned_to_mebooleanOptional
disable_paginationbooleanOptional
include_work_order_taskbooleanOptional
include_custom_fieldsbooleanOptional
include_timelinebooleanOptional

Response

Paginated defects with status counts
defectslist of objectsOptional
metaobjectOptional
status_countsobjectOptional